﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ShipmentInquiryScript")

<div class="content">
    <table style="width: 100%">
        <tr style="height:40px">
            <td style="width: 5%;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Booking No";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td style="width: 15%;">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_BOOKING_NO";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                }).BindList(ViewData["BookingNo"]).GetHtml()
                @Html.DevExpress().TextBox(hsettings =>
                                {
                                    hsettings.Name = "Process_ID2";
                                    hsettings.ClientVisible = false;
                                }).GetHtml()
            </td>
            <td style="width: 5%;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "ETD From";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td style="width: 15%;">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_ETD_FROM";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.ClientSideEvents.DateChanged = "I_ETD_DT_OnChanged";
                }).GetHtml()
            </td>
            <td style="width: 5%;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "ATD From";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td style="width: 15%;">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_ATD_FROM";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.ClientSideEvents.DateChanged = "I_ATD_DT_OnChanged";
                }).GetHtml()
            </td>
            <td style="width: 5%;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Container No";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td style="width: 15%;">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CONTAINER_NO";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
            <td style="width: 5%;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Status";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td style="width: 15%;">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_STATUS";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                }).BindList(ViewData["STATUS"]).GetHtml()
            </td>
        </tr>
        <tr style="height:40px">
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_BUYER_CD";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 650;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}-{1}";
                    settings.Properties.ValueField = "BUYER_CD";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("BUYER_CD", "BUYER_CD", 130);
                    settings.Properties.Columns.Add("BUYER_NAME", "BUYER_NAME", Unit.Percentage(500));
                }).BindList(ViewData["BUYER"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "ETD To";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_ETD_TO";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "ATD To";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_ATD_TO";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Shipment No";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td>
                @*@Html.DevExpress().SpinEdit(settings =>
                {
                    settings.Name = "I_EXC_RATE";
                    settings.Properties.SpinButtons.ShowLargeIncrementButtons = false;
                    settings.Properties.Increment = 1;
                    settings.Width = 100;
                    settings.Properties.NumberType = SpinEditNumberType.Float;
                    //settings.Properties.DisplayFormatString = "N1";
                    settings.Properties.MaxLength = 8;
                    //settings.Properties.MaxValue = 15;
                    settings.Properties.SpinButtons.ShowIncrementButtons = false;
                    settings.Properties.DecimalPlaces = 1;
                }).GetHtml()*@
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SHPMNT_SEARCH";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Feeder Vessel";
                    Label.Width = 90;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FEEDER_VESSEL";
                    settings.Width = 150;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
        </tr>
        <tr style="height:40px">
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "FA";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_FA";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 650;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}-{1}";
                    settings.Properties.ValueField = "FA_CD";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("FA_CD", "FA_CD", 130);
                    settings.Properties.Columns.Add("FA_NAME", "FA_NAME", Unit.Percentage(500));
                }).BindList(ViewData["FA"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "FA Vendor Cd.";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_FA_VENDOR_CD";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 650;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}-{1}";
                    settings.Properties.ValueField = "FA_SAP_CD";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("FA_SAP_CD", "FA_SAP_CD", 130);
                    settings.Properties.Columns.Add("FA_CD", "FA_CD", Unit.Percentage(100));
                }).BindList(ViewData["FA_SAP"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "SA";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_SA";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 650;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}-{1}";
                    settings.Properties.ValueField = "SA_CD";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("SA_CD", "SA_CD", 130);
                    settings.Properties.Columns.Add("SA_NAME", "SA_NAME", Unit.Percentage(500));
                }).BindList(ViewData["SA"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "SA Vendor Cd.";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_SA_VENDOR_CD";
                    settings.Width = 150;
                    settings.Properties.DropDownWidth = 650;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}-{1}";
                    settings.Properties.ValueField = "SA_SAP_CD";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("SA_SAP_CD", "SA_SAP_CD", 130);
                    settings.Properties.Columns.Add("SA_CD", "SA_CD", Unit.Percentage(100));
                }).BindList(ViewData["SA_SAP"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Completeness";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                ComboBox =>
                {
                    ComboBox.Name = "I_COMPLETENESS";
                    ComboBox.Width = 150;
                    ComboBox.SelectedIndex = -1;
                    ComboBox.Properties.DisplayFormatString = "{0}";
                    ComboBox.Properties.ValueType = typeof(string);
                    ComboBox.Properties.Items.Add("COMPLETE");
                    ComboBox.Properties.Items.Add("INCOMPLETE");
                }).GetHtml()
            </td>
            @*<td>
                <div id="test">EMPTY</div>
            </td>*@
        </tr>
    </table>
    <table style="width:100%" border="0">
        <tr style="min-height:200px">
            <td>
                <div id="create_cnt">
                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdCreateService";
                        edtSetting.Width = 120;
                        edtSetting.Text = "Create Service";
                        edtSetting.ClientSideEvents.Click = "OnCreateService";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()
                </div>
                <div id="edit_cnt">
                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdSaveEditATD";
                        edtSetting.Width = 100;
                        edtSetting.Text = "Save ATD";
                        edtSetting.ClientSideEvents.Click = "SaveEdit";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientEnabled = false;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdCancelEditATD";
                        edtSetting.Width = 100;
                        edtSetting.Text = "Cancel ATD";
                        edtSetting.ClientSideEvents.Click = "CancelEdit";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientEnabled = false;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()
                </div>
                <div class="action_cnt">
                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdEditATD";
                        edtSetting.Width = 90;
                        edtSetting.Text = "Edit ATD";
                        edtSetting.ClientSideEvents.Click = "EditData";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdReprocess";
                        edtSetting.Width = 90;
                        edtSetting.Text = "Reprocess";
                        edtSetting.ClientSideEvents.Click = "OnReprocess";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdGetExchRate";
                        edtSetting.Width = 120;
                        edtSetting.Text = "Get Exch. Rate";
                        edtSetting.ClientSideEvents.Click = "OnGetExchangeRate";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdApprove";
                        edtSetting.Width = 90;
                        edtSetting.Text = "Approve";
                        edtSetting.ClientSideEvents.Click = "OnApprove";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdCancelApprove";
                        edtSetting.Width = 130;
                        edtSetting.Text = "Cancel Approval";
                        edtSetting.ClientSideEvents.Click = "OnCancelApproval";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdCancelService";
                        edtSetting.Width = 130;
                        edtSetting.Text = "Cancel Service";
                        edtSetting.ClientSideEvents.Click = "OnCancelService";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdSendEHS";
                        edtSetting.Width = 110;
                        edtSetting.Text = "Send to EHS";
                        edtSetting.ClientSideEvents.Click = "OnSend";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()
                </div>
            </td>
            <td style="text-align:right" colspan="2">
                <div id="search_cnt">
                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdDownload";
                        edtSetting.Width = 80;
                        edtSetting.Text = "Download";
                        edtSetting.ClientSideEvents.Click = "OnDownload";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdSearch";
                        edtSetting.Width = 80;
                        edtSetting.Text = "Search";
                        edtSetting.ClientSideEvents.Click = "OnSearch";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-01", "SEARCH");
                    }).GetHtml()

                    @Html.DevExpress().Button(edtSetting =>
                    {
                        edtSetting.Name = "cmdClear";
                        edtSetting.Width = 90;
                        edtSetting.Text = "Clear";
                        edtSetting.ClientSideEvents.Click = "OnClear";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-01", "CLEAR");
                    }).GetHtml()
                </div>
            </td>
        </tr>
    </table>
    <hr />
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("ShipmentInquiryGrid")
</div>
@Html.Partial("PopUp")